% Solution by Euler's Method
commandwindow
clear all ; close all
clc

% y' = 2*t + y.^2
% y(0) = 1.4

t0 = 0;
y0 = 1.4;
tEnd = 0.5;
h = 0.1;
N = (tEnd - t0)/h;

%% Initializing Solutions
t = [t0:h:tEnd]';
%y = zeros(N+1,N);
y(1) = y0;

%%  Solving by Euler's Method
for i = 1:N
    fi = 2*t(i) + y(i).^2;
    y(i+1) = y(i) + h*fi
end

%% Plot results
plot (t,y);
grid on
grid minor
    
